For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
            • GETList Shopping Lists
            • POSTCreate Shopping List
            • PUTUpdate Shopping List
            • GETGet Shopping List ID and Name
            • POSTAdd Shopping List Items
            • PUTUpdate Shopping List Items
            • GETList Shopping List Items Extension
            • DELDelete Shopping List Item
            • DELDelete Shopping List
            • POSTDuplicate Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontShopping List

Duplicate Shopping List

POST
https://api-b2b.bigcommerce.com/api/v2/shoppinglists/duplicate
POST
/api/v2/shoppinglists/duplicate
$curl -X POST https://api-b2b.bigcommerce.com/api/v2/shoppinglists/duplicate \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "sampleShoppingListId": 123,
> "name": "Weekly Groceries",
> "description": "Duplicate of my weekly grocery shopping list"
>}'
200example-1
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {
5 "shoppingListId": "789"
6 }
7}
Duplicate a shopping list. Equivalent Storefront GraphQL API Mutation: `shoppingListsDuplicate`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

Delete Shopping List

Next

Store Settings

Built with

Duplicate a shopping list. Equivalent Storefront GraphQL API Mutation: shoppingListsDuplicate. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Request

sampleShoppingListIddoubleRequired
namestringRequired>=1 character
descriptionstringRequired>=1 character

Response

OK
codedouble
messagestring>=1 character
dataobject